Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.util
Class OptionParser

    java.lang.Object
      com.thaiopensource.util.OptionParser

    public class OptionParser

extends Object

Nested Class Summary
`static class` | `OptionParser.InvalidOptionException`
`static class` | `OptionParser.MissingArgumentException`

Constructor Summary
`OptionParser(String optionSpec, String[] args)`

Method Summary
`String` | `getOptionArg()`
`char` | `getOptionChar()`
`String` | `getOptionCharString()`
`String[]` | `getRemainingArgs()`
`static void` | `main(String[] args)`
`boolean` | `moveToNextOption()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionParser

    public OptionParser(String optionSpec,
                        String[] args)

Method Detail

### getOptionChar

    public char getOptionChar()

### getOptionCharString

    public String getOptionCharString()

### getOptionArg

    public String getOptionArg()

### moveToNextOption

    public boolean moveToNextOption()
                             throws OptionParser.InvalidOptionException,
                                    OptionParser.MissingArgumentException

  Throws:
    `OptionParser.InvalidOptionException`
    `OptionParser.MissingArgumentException`

### getRemainingArgs

    public String[] getRemainingArgs()

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD